- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 2955de17-e8b7-43a2-885e-2accfb27a722
    creation_time: 2023-02-17T12:10:18.222909Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound20.c: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound20.c
    file_hash: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: feba9d5e-5959-4b5b-bb89-f05e19f254c6
    creation_time: 2023-02-17T12:10:18.223231Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound20.c: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound20.c
    file_hash: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 83474e64-3749-4e50-9aaa-ae893adb984b
    creation_time: 2023-02-17T12:10:18.223359Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound20.c: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound20.c
    file_hash: cd2a63b33e7bbe230c7b5ef9bb577263b79c304327f57b571a4977a8b534c93c
    line: 49
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

